package chess;


import chess.services.EngineInfoService;

/**
 * Contains basic constants for application.
 */
public interface Constants {

    /**
     * Secret key used for generating JSON Web Token
     */
    String ANDROID_APP_SECRET_KEY = "secret_key";

    /**
     * After this time without call to any API method logged user will be considered inactive.
     */
    long MAX_USER_INACTIVE = 30 * 1000;

    /**
     * Path to engines config file. Config file should contain JSON array with {@link EngineInfoService.EngineModel engine models}.
     */
    String ENGINES_CONFIG_PATH = "engines\\config.json";


    /**
     * Path to file containing users credentials.
     */
    String USERS_FILE_PATH = "users.json";
}
