package chess.server;

import org.junit.Test;
import org.springframework.util.Assert;

public class ServerStatusTest {
    
    @Test
    public void isServerInitiallyAvailable() throws Exception {
        ServerStatus serverStatus = new ServerStatus();
        Assert.isTrue(serverStatus.isServerAvailable("test"));
    }

    @Test
    public void isServerNotAvailableAfterUserTokenUpdate() throws Exception {
        ServerStatus serverStatus = new ServerStatus();
        serverStatus.updateUser("test");
        Assert.isTrue(!serverStatus.isServerAvailable("test2"));
    }

    @Test
    public void isServerStillAvailableForSameUser() throws Exception {
        ServerStatus serverStatus = new ServerStatus();
        serverStatus.updateUser("test");
        serverStatus.updateUser("test2");
        Assert.isTrue(serverStatus.isServerAvailable("test"));
    }

}