package chess.services;

import org.junit.Test;

import java.util.ArrayList;
import java.util.Collection;

import static org.junit.Assert.assertEquals;

public class EngineInfoServiceTest {

    private EngineInfoService engineInfoService = new EngineInfoService("test_resources\\engines\\config.json");

    @Test
    public void getAvailableEngines() throws Exception {
        String name = "Stockfish 7 x64";
        String path = "stockfish_7_x64.exe";
        String description = "Stockfish Chess Engine";

        Collection<EngineInfoService.EngineModel> c = engineInfoService.getAvailableEngines();

        assertEquals(1, c.size());

        EngineInfoService.EngineModel model = new ArrayList<>(c).get(0);

        assertEquals(name, model.name);
        assertEquals(path, model.path);
        assertEquals(description, model.description);
    }

}