package chess.services;

import chess.api.models.LoginModel;
import org.junit.Test;

import static org.junit.Assert.*;

public class UserInfoServiceTest {

    private UserInfoService userInfoService = new UserInfoService("test_resources\\users.json");

    @Test
    public void loginUserWithValidCredentials() {
        LoginModel m = new LoginModel();
        m.login = "test";
        m.password = "111111";
        assertTrue(userInfoService.loginUser(m));
    }

    @Test
    public void doNotLoginUserWithInvalidCredentials() {
        LoginModel m = new LoginModel();
        m.login = "test";
        m.password = "wrong_password";

        assertTrue(!userInfoService.loginUser(m));

        m.login = "wrong_login";
        m.password = "111111";

        assertTrue(!userInfoService.loginUser(m));
    }

}